---------------------
PatchSet 3113 
Date: 2005/04/11 16:58:24
Author: tiwai
Branch: HEAD
Tag: (none) 
Log:
Summary: Replace pci_module_init() with pci_register_driver()

Replace the obsolete pci_module_init() with pci_register_driver().

Members: 
	Documentation/DocBook/writing-an-alsa-driver.tmpl:1.51->1.52 
	pci/als4000.c:1.41->1.42 
	pci/atiixp.c:1.34->1.35 
	pci/atiixp_modem.c:1.16->1.17 
	pci/azt3328.c:1.26->1.27 
	pci/bt87x.c:1.20->1.21 
	pci/cmipci.c:1.82->1.83 
	pci/cs4281.c:1.76->1.77 
	pci/ens1370.c:1.79->1.80 
	pci/es1938.c:1.48->1.49 
	pci/es1968.c:1.87->1.88 
	pci/fm801.c:1.57->1.58 
	pci/intel8x0.c:1.197->1.198 
	pci/intel8x0m.c:1.31->1.32 
	pci/maestro3.c:1.71->1.72 
	pci/rme32.c:1.52->1.53 
	pci/rme96.c:1.48->1.49 
	pci/sonicvibes.c:1.47->1.48 
	pci/via82xx.c:1.143->1.144 
	pci/via82xx_modem.c:1.6->1.7 
	pci/ali5451/ali5451.c:1.62->1.63 
	pci/au88x0/au88x0.c:1.17->1.18 
	pci/ca0106/ca0106_main.c:1.6->1.7 
	pci/cs46xx/cs46xx.c:1.29->1.30 
	pci/emu10k1/emu10k1.c:1.35->1.36 
	pci/emu10k1/emu10k1x.c:1.8->1.9 
	pci/hda/hda_intel.c:1.4->1.5 
	pci/ice1712/ice1712.c:1.65->1.66 
	pci/ice1712/ice1724.c:1.52->1.53 
	pci/korg1212/korg1212.c:1.55->1.56 
	pci/mixart/mixart.c:1.25->1.26 
	pci/nm256/nm256.c:1.59->1.60 
	pci/rme9652/hdsp.c:1.85->1.86 
	pci/rme9652/rme9652.c:1.56->1.57 
	pci/trident/trident.c:1.27->1.28 
	pci/vx222/vx222.c:1.12->1.13 
	pci/ymfpci/ymfpci.c:1.41->1.42 

Index: /Documentation/sound/alsa/DocBook/writing-an-alsa-driver.tmpl
diff -u /Documentation/sound/alsa/DocBook/writing-an-alsa-driver.tmpl.old /Documentation/sound/alsa/DocBook/writing-an-alsa-driver.tmpl
--- /Documentation/sound/alsa/DocBook/writing-an-alsa-driver.tmpl.old	Mon Mar 21 00:06:48 2005
+++ /Documentation/sound/alsa/DocBook/writing-an-alsa-driver.tmpl	Mon Apr 11 08:58:24 2005
@@ -371,7 +371,7 @@
           <listitem><para>create <function>probe()</function> callback.</para></listitem>
           <listitem><para>create <function>remove()</function> callback.</para></listitem>
           <listitem><para>create pci_driver table which contains the three pointers above.</para></listitem>
-          <listitem><para>create <function>init()</function> function just calling <function>pci_module_init()</function> to register the pci_driver table defined above.</para></listitem>
+          <listitem><para>create <function>init()</function> function just calling <function>pci_register_driver()</function> to register the pci_driver table defined above.</para></listitem>
           <listitem><para>create <function>exit()</function> function to call <function>pci_unregister_driver()</function> function.</para></listitem>
         </itemizedlist>
       </para>
@@ -1198,7 +1198,7 @@
   /* initialization of the module */
   static int __init alsa_card_mychip_init(void)
   {
-          return pci_module_init(&driver);
+          return pci_register_driver(&driver);
   }
 
   /* clean up the module */
@@ -1654,7 +1654,7 @@
 <![CDATA[
   static int __init alsa_card_mychip_init(void)
   {
-          return pci_module_init(&driver);
+          return pci_register_driver(&driver);
   }
 
   static void __exit alsa_card_mychip_exit(void)
Index: /sound/pci/als4000.c
diff -u /sound/pci/als4000.c.old /sound/pci/als4000.c
--- /sound/pci/als4000.c.old	Tue Mar 22 10:09:33 2005
+++ /sound/pci/als4000.c	Mon Apr 11 08:58:25 2005
@@ -777,7 +777,7 @@
 
 static int __init alsa_card_als4000_init(void)
 {
-	return pci_module_init(&driver);
+	return pci_register_driver(&driver);
 }
 
 static void __exit alsa_card_als4000_exit(void)
Index: /sound/pci/atiixp.c
diff -u /sound/pci/atiixp.c.old /sound/pci/atiixp.c
--- /sound/pci/atiixp.c.old	Wed Mar 23 09:04:15 2005
+++ /sound/pci/atiixp.c	Mon Apr 11 08:58:25 2005
@@ -1645,7 +1645,7 @@
 
 static int __init alsa_card_atiixp_init(void)
 {
-	return pci_module_init(&driver);
+	return pci_register_driver(&driver);
 }
 
 static void __exit alsa_card_atiixp_exit(void)
Index: /sound/pci/atiixp_modem.c
diff -u /sound/pci/atiixp_modem.c.old /sound/pci/atiixp_modem.c
--- /sound/pci/atiixp_modem.c.old	Mon Apr  4 08:27:08 2005
+++ /sound/pci/atiixp_modem.c	Mon Apr 11 08:58:25 2005
@@ -1332,7 +1332,7 @@
 
 static int __init alsa_card_atiixp_init(void)
 {
-	return pci_module_init(&driver);
+	return pci_register_driver(&driver);
 }
 
 static void __exit alsa_card_atiixp_exit(void)
Index: /sound/pci/azt3328.c
diff -u /sound/pci/azt3328.c.old /sound/pci/azt3328.c
--- /sound/pci/azt3328.c.old	Tue Mar 22 10:09:33 2005
+++ /sound/pci/azt3328.c	Mon Apr 11 08:58:25 2005
@@ -1520,7 +1520,7 @@
 {
 	int err;
 	snd_azf3328_dbgcallenter();
-	err = pci_module_init(&driver);
+	err = pci_register_driver(&driver);
 	snd_azf3328_dbgcallleave();
 	return err;
 }
Index: /sound/pci/bt87x.c
diff -u /sound/pci/bt87x.c.old /sound/pci/bt87x.c
--- /sound/pci/bt87x.c.old	Fri Feb  4 08:08:58 2005
+++ /sound/pci/bt87x.c	Mon Apr 11 08:58:25 2005
@@ -918,7 +918,7 @@
 {
 	if (load_all)
 		driver.id_table = snd_bt87x_default_ids;
-	return pci_module_init(&driver);
+	return pci_register_driver(&driver);
 }
 
 static void __exit alsa_card_bt87x_exit(void)
Index: /sound/pci/cmipci.c
diff -u /sound/pci/cmipci.c.old /sound/pci/cmipci.c
--- /sound/pci/cmipci.c.old	Tue Mar 22 10:09:34 2005
+++ /sound/pci/cmipci.c	Mon Apr 11 08:58:25 2005
@@ -519,40 +519,50 @@
 }
 
 /* bit operations for dword register */
-static void snd_cmipci_set_bit(cmipci_t *cm, unsigned int cmd, unsigned int flag)
+static int snd_cmipci_set_bit(cmipci_t *cm, unsigned int cmd, unsigned int flag)
 {
-	unsigned int val;
-	val = inl(cm->iobase + cmd);
+	unsigned int val, oval;
+	val = oval = inl(cm->iobase + cmd);
 	val |= flag;
+	if (val == oval)
+		return 0;
 	outl(val, cm->iobase + cmd);
+	return 1;
 }
 
-static void snd_cmipci_clear_bit(cmipci_t *cm, unsigned int cmd, unsigned int flag)
+static int snd_cmipci_clear_bit(cmipci_t *cm, unsigned int cmd, unsigned int flag)
 {
-	unsigned int val;
-	val = inl(cm->iobase + cmd);
+	unsigned int val, oval;
+	val = oval = inl(cm->iobase + cmd);
 	val &= ~flag;
+	if (val == oval)
+		return 0;
 	outl(val, cm->iobase + cmd);
+	return 1;
 }
 
-#if 0 // not used
 /* bit operations for byte register */
-static void snd_cmipci_set_bit_b(cmipci_t *cm, unsigned int cmd, unsigned char flag)
+static int snd_cmipci_set_bit_b(cmipci_t *cm, unsigned int cmd, unsigned char flag)
 {
-	unsigned char val;
-	val = inb(cm->iobase + cmd);
+	unsigned char val, oval;
+	val = oval = inb(cm->iobase + cmd);
 	val |= flag;
+	if (val == oval)
+		return 0;
 	outb(val, cm->iobase + cmd);
+	return 1;
 }
 
-static void snd_cmipci_clear_bit_b(cmipci_t *cm, unsigned int cmd, unsigned char flag)
+static int snd_cmipci_clear_bit_b(cmipci_t *cm, unsigned int cmd, unsigned char flag)
 {
-	unsigned char val;
-	val = inb(cm->iobase + cmd);
+	unsigned char val, oval;
+	val = oval = inb(cm->iobase + cmd);
 	val &= ~flag;
+	if (val == oval)
+		return 0;
 	outb(val, cm->iobase + cmd);
+	return 1;
 }
-#endif
 
 
 /*
@@ -2250,8 +2260,8 @@
 DEFINE_SWITCH_ARG(exchange_dac, CM_REG_MISC_CTRL, CM_XCHGDAC, CM_XCHGDAC, 0, 0);
 #endif
 DEFINE_BIT_SWITCH_ARG(fourch, CM_REG_MISC_CTRL, CM_N4SPK3D, 0, 0);
-DEFINE_BIT_SWITCH_ARG(line_rear, CM_REG_MIXER1, CM_SPK4, 1, 0);
-DEFINE_BIT_SWITCH_ARG(line_bass, CM_REG_LEGACY_CTRL, CM_LINE_AS_BASS, 0, 0);
+// DEFINE_BIT_SWITCH_ARG(line_rear, CM_REG_MIXER1, CM_SPK4, 1, 0);
+// DEFINE_BIT_SWITCH_ARG(line_bass, CM_REG_LEGACY_CTRL, CM_LINE_AS_BASS, 0, 0);
 // DEFINE_BIT_SWITCH_ARG(joystick, CM_REG_FUNCTRL1, CM_JYSTK_EN, 0, 0); /* now module option */
 DEFINE_SWITCH_ARG(modem, CM_REG_MISC_CTRL, CM_FLINKON|CM_FLINKOFF, CM_FLINKON, 0, 0);
 
@@ -2300,10 +2310,114 @@
 }
 
 
+static int snd_cmipci_line_in_mode_info(snd_kcontrol_t *kcontrol,
+					snd_ctl_elem_info_t *uinfo)
+{
+	cmipci_t *cm = snd_kcontrol_chip(kcontrol);
+	static char *texts[3] = { "Line-In", "Rear Output", "Bass Output" };
+	uinfo->type = SNDRV_CTL_ELEM_TYPE_ENUMERATED;
+	uinfo->count = 1;
+	uinfo->value.enumerated.items = cm->chip_version >= 39 ? 3 : 2;
+	if (uinfo->value.enumerated.item >= uinfo->value.enumerated.items)
+		uinfo->value.enumerated.item = uinfo->value.enumerated.items - 1;
+	strcpy(uinfo->value.enumerated.name, texts[uinfo->value.enumerated.item]);
+	return 0;
+}
+
+static inline unsigned int get_line_in_mode(cmipci_t *cm)
+{
+	unsigned int val;
+	if (cm->chip_version >= 39) {
+		val = snd_cmipci_read(cm, CM_REG_LEGACY_CTRL);
+		if (val & CM_LINE_AS_BASS)
+			return 2;
+	}
+	val = snd_cmipci_read_b(cm, CM_REG_MIXER1);
+	if (val & CM_SPK4)
+		return 1;
+	return 0;
+}
+
+static int snd_cmipci_line_in_mode_get(snd_kcontrol_t *kcontrol,
+				       snd_ctl_elem_value_t *ucontrol)
+{
+	cmipci_t *cm = snd_kcontrol_chip(kcontrol);
+
+	spin_lock_irq(&cm->reg_lock);
+	ucontrol->value.enumerated.item[0] = get_line_in_mode(cm);
+	spin_unlock_irq(&cm->reg_lock);
+	return 0;
+}
+
+static int snd_cmipci_line_in_mode_put(snd_kcontrol_t *kcontrol,
+				       snd_ctl_elem_value_t *ucontrol)
+{
+	cmipci_t *cm = snd_kcontrol_chip(kcontrol);
+	int change;
+
+	spin_lock_irq(&cm->reg_lock);
+	if (ucontrol->value.enumerated.item[0] == 2)
+		change = snd_cmipci_set_bit(cm, CM_REG_LEGACY_CTRL, CM_LINE_AS_BASS);
+	else
+		change = snd_cmipci_clear_bit(cm, CM_REG_LEGACY_CTRL, CM_LINE_AS_BASS);
+	if (ucontrol->value.enumerated.item[0] == 1)
+		change |= snd_cmipci_set_bit_b(cm, CM_REG_MIXER1, CM_SPK4);
+	else
+		change |= snd_cmipci_clear_bit_b(cm, CM_REG_MIXER1, CM_SPK4);
+	spin_unlock_irq(&cm->reg_lock);
+	return change;
+}
+
+static int snd_cmipci_mic_in_mode_info(snd_kcontrol_t *kcontrol,
+				       snd_ctl_elem_info_t *uinfo)
+{
+	static char *texts[2] = { "Mic-In", "Center/LFE Output" };
+	uinfo->type = SNDRV_CTL_ELEM_TYPE_ENUMERATED;
+	uinfo->count = 1;
+	uinfo->value.enumerated.items = 2;
+	if (uinfo->value.enumerated.item >= uinfo->value.enumerated.items)
+		uinfo->value.enumerated.item = uinfo->value.enumerated.items - 1;
+	strcpy(uinfo->value.enumerated.name, texts[uinfo->value.enumerated.item]);
+	return 0;
+}
+
+static int snd_cmipci_mic_in_mode_get(snd_kcontrol_t *kcontrol,
+				      snd_ctl_elem_value_t *ucontrol)
+{
+	cmipci_t *cm = snd_kcontrol_chip(kcontrol);
+	/* same bit as spdi_phase */
+	spin_lock_irq(&cm->reg_lock);
+	ucontrol->value.enumerated.item[0] = 
+		(snd_cmipci_read_b(cm, CM_REG_MISC) & CM_SPDIF_INVERSE) ? 1 : 0;
+	spin_unlock_irq(&cm->reg_lock);
+	return 0;
+}
+
+static int snd_cmipci_mic_in_mode_put(snd_kcontrol_t *kcontrol,
+				      snd_ctl_elem_value_t *ucontrol)
+{
+	cmipci_t *cm = snd_kcontrol_chip(kcontrol);
+	int change;
+
+	spin_lock_irq(&cm->reg_lock);
+	if (ucontrol->value.enumerated.item[0])
+		change = snd_cmipci_set_bit_b(cm, CM_REG_MISC, CM_SPDIF_INVERSE);
+	else
+		change = snd_cmipci_clear_bit_b(cm, CM_REG_MISC, CM_SPDIF_INVERSE);
+	spin_unlock_irq(&cm->reg_lock);
+	return change;
+}
+
 /* both for CM8338/8738 */
 static snd_kcontrol_new_t snd_cmipci_mixer_switches[] __devinitdata = {
 	DEFINE_MIXER_SWITCH("Four Channel Mode", fourch),
-	DEFINE_MIXER_SWITCH("Line-In As Rear", line_rear),
+	{
+		.name = "Line-In Mode",
+		.iface = SNDRV_CTL_ELEM_IFACE_MIXER,
+		.info = snd_cmipci_line_in_mode_info,
+		.get = snd_cmipci_line_in_mode_get,
+		.put = snd_cmipci_line_in_mode_put,
+	},
 };
 
 /* for non-multichannel chips */
@@ -2341,10 +2455,15 @@
 
 /* only for model 039 or later */
 static snd_kcontrol_new_t snd_cmipci_extra_mixer_switches[] __devinitdata = {
-	DEFINE_MIXER_SWITCH("Line-In As Bass", line_bass),
 	DEFINE_MIXER_SWITCH("IEC958 In Select", spdif_in_sel2),
 	DEFINE_MIXER_SWITCH("IEC958 In Phase Inverse", spdi_phase2),
-	DEFINE_MIXER_SWITCH("Mic As Center/LFE", spdi_phase), /* same bit as spdi_phase */
+	{
+		.name = "Mic-In Mode",
+		.iface = SNDRV_CTL_ELEM_IFACE_MIXER,
+		.info = snd_cmipci_mic_in_mode_info,
+		.get = snd_cmipci_mic_in_mode_get,
+		.put = snd_cmipci_mic_in_mode_put,
+	}
 };
 
 /* card control switches */
@@ -2944,7 +3063,7 @@
 	
 static int __init alsa_card_cmipci_init(void)
 {
-	return pci_module_init(&driver);
+	return pci_register_driver(&driver);
 }
 
 static void __exit alsa_card_cmipci_exit(void)
Index: /sound/pci/cs4281.c
diff -u /sound/pci/cs4281.c.old /sound/pci/cs4281.c
--- /sound/pci/cs4281.c.old	Wed Mar 23 23:11:42 2005
+++ /sound/pci/cs4281.c	Mon Apr 11 08:58:25 2005
@@ -2124,7 +2124,7 @@
 	
 static int __init alsa_card_cs4281_init(void)
 {
-	return pci_module_init(&driver);
+	return pci_register_driver(&driver);
 }
 
 static void __exit alsa_card_cs4281_exit(void)
Index: /sound/pci/ens1370.c
diff -u /sound/pci/ens1370.c.old /sound/pci/ens1370.c
--- /sound/pci/ens1370.c.old	Tue Mar 22 10:09:35 2005
+++ /sound/pci/ens1370.c	Mon Apr 11 08:58:25 2005
@@ -2401,7 +2401,7 @@
 	
 static int __init alsa_card_ens137x_init(void)
 {
-	return pci_module_init(&driver);
+	return pci_register_driver(&driver);
 }
 
 static void __exit alsa_card_ens137x_exit(void)
Index: /sound/pci/es1938.c
diff -u /sound/pci/es1938.c.old /sound/pci/es1938.c
--- /sound/pci/es1938.c.old	Tue Mar 22 10:09:35 2005
+++ /sound/pci/es1938.c	Mon Apr 11 08:58:25 2005
@@ -1761,7 +1761,7 @@
 
 static int __init alsa_card_es1938_init(void)
 {
-	return pci_module_init(&driver);
+	return pci_register_driver(&driver);
 }
 
 static void __exit alsa_card_es1938_exit(void)
Index: /sound/pci/es1968.c
diff -u /sound/pci/es1968.c.old /sound/pci/es1968.c
--- /sound/pci/es1968.c.old	Tue Mar 22 10:09:35 2005
+++ /sound/pci/es1968.c	Mon Apr 11 08:58:25 2005
@@ -2795,7 +2795,7 @@
 
 static int __init alsa_card_es1968_init(void)
 {
-	return pci_module_init(&driver);
+	return pci_register_driver(&driver);
 }
 
 static void __exit alsa_card_es1968_exit(void)
Index: /sound/pci/fm801.c
diff -u /sound/pci/fm801.c.old /sound/pci/fm801.c
--- /sound/pci/fm801.c.old	Mon Apr 11 06:17:19 2005
+++ /sound/pci/fm801.c	Mon Apr 11 08:58:25 2005
@@ -1469,7 +1469,7 @@
 
 static int __init alsa_card_fm801_init(void)
 {
-	return pci_module_init(&driver);
+	return pci_register_driver(&driver);
 }
 
 static void __exit alsa_card_fm801_exit(void)
Index: /sound/pci/intel8x0.c
diff -u /sound/pci/intel8x0.c.old /sound/pci/intel8x0.c
--- /sound/pci/intel8x0.c.old	Tue Mar  8 08:22:35 2005
+++ /sound/pci/intel8x0.c	Mon Apr 11 08:58:26 2005
@@ -2843,7 +2843,7 @@
 
 static int __init alsa_card_intel8x0_init(void)
 {
-	return pci_module_init(&driver);
+	return pci_register_driver(&driver);
 }
 
 static void __exit alsa_card_intel8x0_exit(void)
Index: /sound/pci/intel8x0m.c
diff -u /sound/pci/intel8x0m.c.old /sound/pci/intel8x0m.c
--- /sound/pci/intel8x0m.c.old	Thu Apr  7 12:21:21 2005
+++ /sound/pci/intel8x0m.c	Mon Apr 11 08:58:26 2005
@@ -1452,7 +1452,7 @@
 
 static int __init alsa_card_intel8x0m_init(void)
 {
-	return pci_module_init(&driver);
+	return pci_register_driver(&driver);
 }
 
 static void __exit alsa_card_intel8x0m_exit(void)
Index: /sound/pci/maestro3.c
diff -u /sound/pci/maestro3.c.old /sound/pci/maestro3.c
--- /sound/pci/maestro3.c.old	Thu Feb 17 06:48:07 2005
+++ /sound/pci/maestro3.c	Mon Apr 11 08:58:26 2005
@@ -2702,7 +2702,7 @@
 	
 static int __init alsa_card_m3_init(void)
 {
-	return pci_module_init(&driver);
+	return pci_register_driver(&driver);
 }
 
 static void __exit alsa_card_m3_exit(void)
Index: /sound/pci/rme32.c
diff -u /sound/pci/rme32.c.old /sound/pci/rme32.c
--- /sound/pci/rme32.c.old	Fri Mar 18 00:47:00 2005
+++ /sound/pci/rme32.c	Mon Apr 11 08:58:26 2005
@@ -2031,7 +2031,7 @@
 
 static int __init alsa_card_rme32_init(void)
 {
-	return pci_module_init(&driver);
+	return pci_register_driver(&driver);
 }
 
 static void __exit alsa_card_rme32_exit(void)
Index: /sound/pci/rme96.c
diff -u /sound/pci/rme96.c.old /sound/pci/rme96.c
--- /sound/pci/rme96.c.old	Mon Nov 29 07:03:28 2004
+++ /sound/pci/rme96.c	Mon Apr 11 08:58:27 2005
@@ -2437,7 +2437,7 @@
 
 static int __init alsa_card_rme96_init(void)
 {
-	return pci_module_init(&driver);
+	return pci_register_driver(&driver);
 }
 
 static void __exit alsa_card_rme96_exit(void)
Index: /sound/pci/sonicvibes.c
diff -u /sound/pci/sonicvibes.c.old /sound/pci/sonicvibes.c
--- /sound/pci/sonicvibes.c.old	Tue Mar 22 10:09:35 2005
+++ /sound/pci/sonicvibes.c	Mon Apr 11 08:58:27 2005
@@ -1522,7 +1522,7 @@
 
 static int __init alsa_card_sonicvibes_init(void)
 {
-	return pci_module_init(&driver);
+	return pci_register_driver(&driver);
 }
 
 static void __exit alsa_card_sonicvibes_exit(void)
Index: /sound/pci/via82xx.c
diff -u /sound/pci/via82xx.c.old /sound/pci/via82xx.c
--- /sound/pci/via82xx.c.old	Mon Apr 11 07:08:32 2005
+++ /sound/pci/via82xx.c	Mon Apr 11 08:58:27 2005
@@ -2349,7 +2349,7 @@
 
 static int __init alsa_card_via82xx_init(void)
 {
-	return pci_module_init(&driver);
+	return pci_register_driver(&driver);
 }
 
 static void __exit alsa_card_via82xx_exit(void)
Index: /sound/pci/via82xx_modem.c
diff -u /sound/pci/via82xx_modem.c.old /sound/pci/via82xx_modem.c
--- /sound/pci/via82xx_modem.c.old	Tue Mar 22 07:29:30 2005
+++ /sound/pci/via82xx_modem.c	Mon Apr 11 08:58:27 2005
@@ -1233,7 +1233,7 @@
 
 static int __init alsa_card_via82xx_init(void)
 {
-	return pci_module_init(&driver);
+	return pci_register_driver(&driver);
 }
 
 static void __exit alsa_card_via82xx_exit(void)
Index: /sound/pci/ali5451/ali5451.c
diff -u /sound/pci/ali5451/ali5451.c.old /sound/pci/ali5451/ali5451.c
--- /sound/pci/ali5451/ali5451.c.old	Thu Feb 17 06:48:07 2005
+++ /sound/pci/ali5451/ali5451.c	Mon Apr 11 08:58:27 2005
@@ -2270,7 +2270,7 @@
 
 static int __init alsa_card_ali_init(void)
 {
-	return pci_module_init(&driver);
+	return pci_register_driver(&driver);
 }
 
 static void __exit alsa_card_ali_exit(void)
Index: /sound/pci/au88x0/au88x0.c
diff -u /sound/pci/au88x0/au88x0.c.old /sound/pci/au88x0/au88x0.c
--- /sound/pci/au88x0/au88x0.c.old	Tue Mar 22 00:50:50 2005
+++ /sound/pci/au88x0/au88x0.c	Mon Apr 11 08:58:27 2005
@@ -375,7 +375,7 @@
 // initialization of the module
 static int __init alsa_card_vortex_init(void)
 {
-	return pci_module_init(&driver);
+	return pci_register_driver(&driver);
 }
 
 // clean up the module
Index: /sound/pci/ca0106/ca0106_main.c
diff -u /sound/pci/ca0106/ca0106_main.c.old /sound/pci/ca0106/ca0106_main.c
--- /sound/pci/ca0106/ca0106_main.c.old	Thu Mar 24 09:48:30 2005
+++ /sound/pci/ca0106/ca0106_main.c	Mon Apr 11 08:58:28 2005
@@ -1268,7 +1268,7 @@
 {
 	int err;
 
-	if ((err = pci_module_init(&driver)) > 0)
+	if ((err = pci_register_driver(&driver)) > 0)
 		return err;
 
 	return 0;
Index: /sound/pci/cs46xx/cs46xx.c
diff -u /sound/pci/cs46xx/cs46xx.c.old /sound/pci/cs46xx/cs46xx.c
--- /sound/pci/cs46xx/cs46xx.c.old	Sat Oct 23 09:10:27 2004
+++ /sound/pci/cs46xx/cs46xx.c	Mon Apr 11 08:58:28 2005
@@ -171,7 +171,7 @@
 
 static int __init alsa_card_cs46xx_init(void)
 {
-	return pci_module_init(&driver);
+	return pci_register_driver(&driver);
 }
 
 static void __exit alsa_card_cs46xx_exit(void)
Index: /sound/pci/emu10k1/emu10k1.c
diff -u /sound/pci/emu10k1/emu10k1.c.old /sound/pci/emu10k1/emu10k1.c
--- /sound/pci/emu10k1/emu10k1.c.old	Wed Mar 23 08:56:03 2005
+++ /sound/pci/emu10k1/emu10k1.c	Mon Apr 11 08:58:28 2005
@@ -228,7 +228,7 @@
 
 static int __init alsa_card_emu10k1_init(void)
 {
-	return pci_module_init(&driver);
+	return pci_register_driver(&driver);
 }
 
 static void __exit alsa_card_emu10k1_exit(void)
Index: /sound/pci/emu10k1/emu10k1x.c
diff -u /sound/pci/emu10k1/emu10k1x.c.old /sound/pci/emu10k1/emu10k1x.c
--- /sound/pci/emu10k1/emu10k1x.c.old	Wed Mar 23 09:04:17 2005
+++ /sound/pci/emu10k1/emu10k1x.c	Mon Apr 11 08:58:28 2005
@@ -1627,7 +1627,7 @@
 {
 	int err;
 
-	if ((err = pci_module_init(&driver)) > 0)
+	if ((err = pci_register_driver(&driver)) > 0)
 		return err;
 
 	return 0;
Index: /sound/pci/hda/hda_intel.c
diff -u /sound/pci/hda/hda_intel.c.old /sound/pci/hda/hda_intel.c
--- /sound/pci/hda/hda_intel.c.old	Mon Apr  4 06:56:37 2005
+++ /sound/pci/hda/hda_intel.c	Mon Apr 11 08:58:28 2005
@@ -1439,7 +1439,7 @@
 
 static int __init alsa_card_azx_init(void)
 {
-	return pci_module_init(&driver);
+	return pci_register_driver(&driver);
 }
 
 static void __exit alsa_card_azx_exit(void)
Index: /sound/pci/ice1712/ice1712.c
diff -u /sound/pci/ice1712/ice1712.c.old /sound/pci/ice1712/ice1712.c
--- /sound/pci/ice1712/ice1712.c.old	Tue Jan 18 07:48:00 2005
+++ /sound/pci/ice1712/ice1712.c	Mon Apr 11 08:58:28 2005
@@ -2748,7 +2748,7 @@
 
 static int __init alsa_card_ice1712_init(void)
 {
-	return pci_module_init(&driver);
+	return pci_register_driver(&driver);
 }
 
 static void __exit alsa_card_ice1712_exit(void)
Index: /sound/pci/ice1712/ice1724.c
diff -u /sound/pci/ice1712/ice1724.c.old /sound/pci/ice1712/ice1724.c
--- /sound/pci/ice1712/ice1724.c.old	Tue Mar  8 07:42:41 2005
+++ /sound/pci/ice1712/ice1724.c	Mon Apr 11 08:58:28 2005
@@ -2328,7 +2328,7 @@
 
 static int __init alsa_card_ice1724_init(void)
 {
-	return pci_module_init(&driver);
+	return pci_register_driver(&driver);
 }
 
 static void __exit alsa_card_ice1724_exit(void)
Index: /sound/pci/korg1212/korg1212.c
diff -u /sound/pci/korg1212/korg1212.c.old /sound/pci/korg1212/korg1212.c
--- /sound/pci/korg1212/korg1212.c.old	Thu Feb 17 06:55:59 2005
+++ /sound/pci/korg1212/korg1212.c	Mon Apr 11 08:58:28 2005
@@ -2541,7 +2541,7 @@
 
 static int __init alsa_card_korg1212_init(void)
 {
-	return pci_module_init(&driver);
+	return pci_register_driver(&driver);
 }
 
 static void __exit alsa_card_korg1212_exit(void)
Index: /sound/pci/mixart/mixart.c
diff -u /sound/pci/mixart/mixart.c.old /sound/pci/mixart/mixart.c
--- /sound/pci/mixart/mixart.c.old	Fri Mar 18 05:48:22 2005
+++ /sound/pci/mixart/mixart.c	Mon Apr 11 08:58:29 2005
@@ -1431,7 +1431,7 @@
 
 static int __init alsa_card_mixart_init(void)
 {
-	return pci_module_init(&driver);
+	return pci_register_driver(&driver);
 }
 
 static void __exit alsa_card_mixart_exit(void)
Index: /sound/pci/nm256/nm256.c
diff -u /sound/pci/nm256/nm256.c.old /sound/pci/nm256/nm256.c
--- /sound/pci/nm256/nm256.c.old	Fri Jan 28 11:34:07 2005
+++ /sound/pci/nm256/nm256.c	Mon Apr 11 08:58:29 2005
@@ -1645,7 +1645,7 @@
 
 static int __init alsa_card_nm256_init(void)
 {
-	return pci_module_init(&driver);
+	return pci_register_driver(&driver);
 }
 
 static void __exit alsa_card_nm256_exit(void)
Index: /sound/pci/rme9652/hdsp.c
diff -u /sound/pci/rme9652/hdsp.c.old /sound/pci/rme9652/hdsp.c
--- /sound/pci/rme9652/hdsp.c.old	Thu Mar 17 00:24:39 2005
+++ /sound/pci/rme9652/hdsp.c	Mon Apr 11 08:58:29 2005
@@ -5194,7 +5194,7 @@
 
 static int __init alsa_card_hdsp_init(void)
 {
-	return pci_module_init(&driver);
+	return pci_register_driver(&driver);
 }
 
 static void __exit alsa_card_hdsp_exit(void)
Index: /sound/pci/rme9652/rme9652.c
diff -u /sound/pci/rme9652/rme9652.c.old /sound/pci/rme9652/rme9652.c
--- /sound/pci/rme9652/rme9652.c.old	Mon Nov 22 10:36:06 2004
+++ /sound/pci/rme9652/rme9652.c	Mon Apr 11 08:58:29 2005
@@ -2664,7 +2664,7 @@
 
 static int __init alsa_card_hammerfall_init(void)
 {
-	return pci_module_init(&driver);
+	return pci_register_driver(&driver);
 }
 
 static void __exit alsa_card_hammerfall_exit(void)
Index: /sound/pci/trident/trident.c
diff -u /sound/pci/trident/trident.c.old /sound/pci/trident/trident.c
--- /sound/pci/trident/trident.c.old	Tue Mar 22 00:50:56 2005
+++ /sound/pci/trident/trident.c	Mon Apr 11 08:58:30 2005
@@ -184,7 +184,7 @@
 
 static int __init alsa_card_trident_init(void)
 {
-	return pci_module_init(&driver);
+	return pci_register_driver(&driver);
 }
 
 static void __exit alsa_card_trident_exit(void)
Index: /sound/pci/vx222/vx222.c
diff -u /sound/pci/vx222/vx222.c.old /sound/pci/vx222/vx222.c
--- /sound/pci/vx222/vx222.c.old	Mon Dec 20 03:28:07 2004
+++ /sound/pci/vx222/vx222.c	Mon Apr 11 08:58:30 2005
@@ -260,7 +260,7 @@
 
 static int __init alsa_card_vx222_init(void)
 {
-	return pci_module_init(&driver);
+	return pci_register_driver(&driver);
 }
 
 static void __exit alsa_card_vx222_exit(void)
Index: /sound/pci/ymfpci/ymfpci.c
diff -u /sound/pci/ymfpci/ymfpci.c.old /sound/pci/ymfpci/ymfpci.c
--- /sound/pci/ymfpci/ymfpci.c.old	Tue Mar 22 10:09:38 2005
+++ /sound/pci/ymfpci/ymfpci.c	Mon Apr 11 08:58:30 2005
@@ -360,7 +360,7 @@
 
 static int __init alsa_card_ymfpci_init(void)
 {
-	return pci_module_init(&driver);
+	return pci_register_driver(&driver);
 }
 
 static void __exit alsa_card_ymfpci_exit(void)
